NETWORKING-BASIC COOKBOOK
=========================
[![Build Status](https://secure.travis-ci.org/arktos65/networking-basic.png)](http://travis-ci.org/arktos65/networking-basic)

## Description

Install Basic Networking Tools and Utilities for Debian, Ubuntu, CentOS, and Redhat.


## lsof

Lsof is a Unix-specific diagnostic tool. Its name stands for LiSt Open Files, and it does just that. It lists information about any files that are open, by processes currently running on the system.


## iptables

Administration tools for packet filtering and NAT. These are the user-space administration tools for the Linux kernel's netfilter and iptables. netfilter and iptables provide a framework for stateful and stateless packet filtering, network and port address translation, and other IP packet manipulation. The framework is the successor to ipchains.


## jwhois

Improved Caching Whois client
GNU jwhois is an Internet Whois client that queries hosts for information according to RFC 954 - NICNAME/WHOIS. JWHOIS is configured via a configuration file that contains information about all known Whois servers. Upon execution, the host to query is selected based on the information in the configuration file.

## whois

This is a new whois (RFC 3912) client rewritten from scratch. It is inspired from and compatible with the usual BSD and RIPE whois(1) programs. It is intelligent and can automatically select the appropriate whois server for most queries.


## curl

Get a file from an HTTP, HTTPS or FTP server. Curl is a client to get files from servers using any of the supported protocols. The command is designed to work without user interaction or any kind of interactivity.


## wget

Wget is a network utility to retrieve files from the Web using http(s) and ftp, the two most widely used Internet protocols. 
It works non-interactively, so it will work in the background, after having logged off. 
The program supports recursive retrieval of web-authoring pages as well as ftp sites -- you can use wget to make mirrors of archives and home pages or to travel the Web like a WWW robot.


## rsync

Rsync is a program that allows files to be copied to and from remote machines in much the same way as rcp.  It has many more options than rcp, and uses the rsync remote-update protocol to greatly speed up file transfers when the destination file already exists. 


## jnettop

View hosts/ports taking up the most network traffic jNettop captures traffic coming across the host it is running on and displays streams sorted by bandwidth they use. Result is a nice listing of communication on network by host and port, how many bytes went through this transport and the bandwidth it is consuming.


## nmap

Nmap is a utility for network exploration or security auditing. It supports ping scanning (determine which hosts are up), many port scanning techniques, version detection (determine service protocols and application versions listening behind ports), and TCP/IP fingerprinting (remote host OS or device identification). Nmap also offers flexible target and port specification, decoy/stealth scanning, sunRPC scanning, and more. Most Unix and Windows platforms are supported in both GUI and commandline modes. Several popular handheld devices are also supported, including the Sharp Zaurus and the iPAQ.


## traceroute

Traceroute tracks the route packets taken from an IP network on their way to a given host. It utilizes the IP protocol's time to live (TTL) field and attempts to elicit an ICMP TIME_EXCEEDED response from each gateway along the path to the host.


## ethtool

Display or change Ethernet device settings.


## iproute

Networking and traffic control tools.


## iputils-ping

Tools to test the reachability of network hosts.


## netcat-openbsd

TCP/IP swiss army knife.


## tcpdump

A powerful tool for network monitoring and data acquisition.


## elinks

Advanced text-mode WWW browser. 


## lynx

Text-mode WWW Browser.



## Thanks:

  - Tim Smith [tim.smith[AT]webtrends.com]

